textures/tfa3dm1/nubiansky2
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 .9 .8 30 300 60
	q3map_surfacelight 384
	qer_editorimage textures/tfa3dm1/nubian5.tga
	skyparms env/lun4 768 -
	{
		map textures/tfa3dm1/nubian5.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
	}
}

//                         \\
// --   Bouncy Bouncy   -- \\
//                         \\

textures/tfa3dm1/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/tfa3dm1/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//                       \\
// --   Alpha Texes   -- \\
//                       \\

textures/tfa3dm1/protograte1a
{
	qer_editorimage textures/tfa3dm1/protograte1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/tfa3dm1/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tfa3dm1/protograte2a
{
	qer_editorimage textures/tfa3dm1/protograte2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/tfa3dm1/protograte2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/tfa3dm1/protograte3a
{
	qer_editorimage textures/tfa3dm1/protograte3.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/tfa3dm1/protograte3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//                  \\
// --   Floors   -- \\
//                  \\

textures/tfa3dm1/clangfloor1
{
	surfaceparm metalsteps
	{
		map textures/tfa3dm1/clangfloor1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tfa3dm1/clangfloor1stripe
{
	surfaceparm metalsteps
	{
		map textures/tfa3dm1/clangfloor1stripe.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tfa3dm1/clangfloor2
{
	surfaceparm metalsteps
	{
		map textures/tfa3dm1/clangfloor2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tfa3dm1/clangfloor3
{
	surfaceparm metalsteps
	{
		map textures/tfa3dm1/clangfloor3.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tfa3dm1/clangfloor3stripe
{
	surfaceparm metalsteps
	{
		map textures/tfa3dm1/clangfloor3stripe.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tfa3dm1/clangfloor3blood
{	
	surfaceparm metalsteps
	qer_editorimage textures/tfa3dm1/clangfloor3blood.tga
	{
		map textures/tfa3dm1/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/tfa3dm1/clangfloor3blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/tfa3dm1/clangfloor4
{	
	surfaceparm metalsteps
	qer_editorimage textures/tfa3dm1/clangfloor4.tga
	{
		map textures/tfa3dm1/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/tfa3dm1/clangfloor4.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/tfa3dm1/cstonefloor1blood
{	
	surfaceparm metalsteps
	qer_editorimage textures/tfa3dm1/cstonefloor1blood.tga
	{		map textures/tfa3dm1/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/tfa3dm1/cstonefloor1blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//                     \\
// --   Computers   -- \\
//                     \\

textures/tfa3dm1/q1comp4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.2 0 0.1
	}
}

textures/tfa3dm1/q1comp6a
{
	qer_editorimage textures/tfa3dm1/q1comp6.tga
	{
		map textures/tfa3dm1/q1comp6fx01.tga
		rgbGen identity
		tcMod scroll 0 -0.15
	}
	{
		map textures/tfa3dm1/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tfa3dm1/q1comp6b
{
	qer_editorimage textures/tfa3dm1/q1comp6.tga
	{
		map textures/tfa3dm1/q1comp6fx02.tga
		rgbGen identity
	}
	{
		map textures/tfa3dm1/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tfa3dm1/q1comp6c
{
	qer_editorimage textures/tfa3dm1/q1comp6.tga
	{
		map textures/tfa3dm1/q1comp6fx03.tga
		rgbGen identity
	}
	{
		map textures/tfa3dm1/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tfa3dm1/q1comp6d
{
	qer_editorimage textures/tfa3dm1/q1comp6.tga
	{
		map textures/tfa3dm1/q1comp6fx04.tga
		rgbGen identity
	}
	{
		map textures/tfa3dm1/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tfa3dm1/q1comp6e
{
	qer_editorimage textures/tfa3dm1/q1comp6.tga
	{
		map textures/tfa3dm1/q1comp6fx05a.tga
		rgbGen identity
		tcmod scale 1 1.5
		tcmod scroll 0 -1
	}
	{
		map textures/tfa3dm1/q1comp6fx05b.tga
		rgbGen identity
		tcmod scroll -3 -5
		tcmod rotate 180
		tcmod scale 1 -1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/tfa3dm1/q1comp6fx05b.tga
		tcmod scroll 2 7
		tcmod rotate -270
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//                      \\
// --  Shiny Panels  -- \\
//                      \\

textures/tfa3dm1/pan4bshiny
{
	qer_editorimage textures/tfa3dm1/pan4b.tga
	{
		map textures/tfa3dm1/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/tfa3dm1/pan4b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//              \\
// -- Panels -- \\
//              \\

textures/tfa3dm1/sup_lite1
{
	q3map_lightimage textures/tfa3dm1/sup_lite1fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/sup_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/sup_lite2
{
	q3map_lightimage textures/tfa3dm1/sup_lite2fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/sup_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/sup_lite3
{
	q3map_lightimage textures/tfa3dm1/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/sup_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/zinc_lite1
{
	q3map_lightimage textures/tfa3dm1/sup_lite1fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/zinc_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/zinc_lite2
{
	q3map_lightimage textures/tfa3dm1/sup_lite2fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/zinc_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/zinc_lite3
{
	q3map_lightimage textures/tfa3dm1/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/tfa3dm1/zinc_lite4
{
	q3map_lightimage textures/tfa3dm1/zinc_lite4fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/zinc_lite4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/zinc_lite4fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

//                             \\
// --  Triangular BalLites  -- \\
//                             \\

textures/tfa3dm1/trilite1_500
{
	qer_editorimage textures/tfa3dm1/trilite1.tga
	q3map_lightimage textures/tfa3dm1/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/tfa3dm1/trilite1_1000
{
	qer_editorimage textures/tfa3dm1/trilite1.tga
	q3map_lightimage textures/tfa3dm1/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/tfa3dm1/trilite1_2000
{
	qer_editorimage textures/tfa3dm1/trilite1.tga
	q3map_lightimage textures/tfa3dm1/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/tfa3dm1/trilite1_3500
{
	qer_editorimage textures/tfa3dm1/trilite1.tga
	q3map_lightimage textures/tfa3dm1/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

//                     \\
// --  Lite Panels  -- \\
//                     \\

textures/tfa3dm1/litpan1_flik
{
	qer_editorimage textures/tfa3dm1/litpan1.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 180 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/tfa3dm1/litpan1_500
{
	qer_editorimage textures/tfa3dm1/litpan1.tga
	q3map_lightimage textures/tfa3dm1/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan1_1000
{
	qer_editorimage textures/tfa3dm1/litpan1.tga
	q3map_lightimage textures/tfa3dm1/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan1_2000
{
	qer_editorimage textures/tfa3dm1/litpan1.tga
	q3map_lightimage textures/tfa3dm1/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan1_3500
{
	qer_editorimage textures/tfa3dm1/litpan1.tga
	q3map_lightimage textures/tfa3dm1/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan2_flik2
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.4 1.2 450 8
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/tfa3dm1/litpan2_flik3
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 1800 6
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/tfa3dm1/litpan2_flik
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 45 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/tfa3dm1/litpan2_500
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	q3map_lightimage textures/tfa3dm1/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan2_1000
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	q3map_lightimage textures/tfa3dm1/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan2_2000
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	q3map_lightimage textures/tfa3dm1/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{

		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan2_3500
{
	qer_editorimage textures/tfa3dm1/litpan2.tga
	q3map_lightimage textures/tfa3dm1/litpan2fx.tga

	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan3_flik
{
	qer_editorimage textures/tfa3dm1/litpan3.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 90 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/tfa3dm1/litpan3_500
{
	qer_editorimage textures/tfa3dm1/litpan3.tga
	q3map_lightimage textures/tfa3dm1/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan3_1000
{
	qer_editorimage textures/tfa3dm1/litpan3.tga
	q3map_lightimage textures/tfa3dm1/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan3_2000
{
	qer_editorimage textures/tfa3dm1/litpan3.tga
	q3map_lightimage textures/tfa3dm1/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/tfa3dm1/litpan3_3500
{
	qer_editorimage textures/tfa3dm1/litpan3.tga
	q3map_lightimage textures/tfa3dm1/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500

	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}


//					 \\
// --  Goth1s  -- \\
//					 \\

textures/tfa3dm1/goth1_500
{
	qer_editorimage textures/tfa3dm1/goth1.tga

	q3map_lightimage textures/tfa3dm1/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/tfa3dm1/goth1_1000
{
	qer_editorimage textures/tfa3dm1/goth1.tga


	q3map_lightimage textures/tfa3dm1/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/tfa3dm1/goth1_2000
{
	qer_editorimage textures/tfa3dm1/goth1.tga
	q3map_lightimage textures/tfa3dm1/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/tfa3dm1/goth1_3500
{
	qer_editorimage textures/tfa3dm1/goth1.tga
	q3map_lightimage textures/tfa3dm1/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tfa3dm1/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

//                  \\
// --   Protos   -- \\
//                  \\

textures/tfa3dm1/proto1_1000
{
	qer_editorimage textures/tfa3dm1/proto1.tga
	q3map_lightimage textures/tfa3dm1/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{	
		map textures/tfa3dm1/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/tfa3dm1/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/tfa3dm1/proto1_500
{
	qer_editorimage textures/tfa3dm1/proto1.tga
	q3map_lightimage textures/tfa3dm1/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/tfa3dm1/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/tfa3dm1/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/tfa3dm1/proto1_2000
{
	qer_editorimage textures/tfa3dm1/proto1.tga
	q3map_lightimage textures/tfa3dm1/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/tfa3dm1/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/tfa3dm1/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/tfa3dm1/proto1_3000
{
	qer_editorimage textures/tfa3dm1/proto1.tga
	q3map_lightimage textures/tfa3dm1/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/tfa3dm1/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/tfa3dm1/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

//              \\
// -- Ceil11 -- \\
//              \\

textures/tfa3dm1/ceil11
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil11_1k
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil11_2500
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil11_5k
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil11_10k

{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil11_20k
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/tfa3dm1/ceil11_30k
{
	qer_editorimage textures/tfa3dm1/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil12 -- \\
//              \\

textures/tfa3dm1/ceil12
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_1k
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_2500
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_5k
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_10k
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_20k
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil12_30k
{
	qer_editorimage textures/tfa3dm1/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil15 -- \\
//              \\

textures/tfa3dm1/ceil15
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/tfa3dm1/ceil15_1k
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil15_2500
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil15_5k
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga

		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil15_10k
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity

	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil15_20k
{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil15_30k

{
		qer_editorimage textures/tfa3dm1/ceil15.tga
	q3map_lightimage textures/tfa3dm1/ceil15fx.tga


	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil16 -- \\
//              \\

textures/tfa3dm1/ceil16
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil16_1k
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil16_2500
{
	qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil16_5k
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil16_10k
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/tfa3dm1/ceil16_20k
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tfa3dm1/ceil16_30k
{
		qer_editorimage textures/tfa3dm1/ceil16.tga
	q3map_lightimage textures/tfa3dm1/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/tfa3dm1/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tfa3dm1/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//                \\
// -- Slipgate -- \\
//                \\

textures/tfa3dm1/slipgate2
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 100
	tesssize 32
	qer_editorimage textures/tfa3dm1/slip3.tga
	q3map_globaltexture
	{
		map textures/tfa3dm1/slip3.tga
		tcMod scroll 0 .4
		tcMod turb 0 0.1 0.3 0.12
	}
	{
		map textures/tfa3dm1/slip4.tga
		tcMod scroll 0 -.4
		tcMod turb 0 0.1 0.3 0.12
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
